Loading...
Searching...
No Matches
std::formatter< fourdst::config::Config< T >, CharT > Struct Template Reference

Formatter specialization for Config<T> to allow easy printing. More...

`#include <base.h>`

## Public Member Functions

auto | format (const fourdst::config::Config< T > &config, auto &ctx) const

## Static Public Member Functions

static constexpr auto | parse (auto &ctx)

## Detailed Description

template<typename T, typename CharT>
struct std::formatter< fourdst::config::Config< T >, CharT >

Formatter specialization for Config<T> to allow easy printing.

This allows a Config object to be directly formatted/printed (e.g., via std::print or std::format). It outputs the configuration in its TOML representation.

Example
  std::println("Current Setup:\n{}", config);

## Member Function Documentation

## format()

template<typename T, typename CharT>

auto std::formatter< fourdst::config::Config< T >, CharT >::format | ( | const fourdst::config::Config< T > & | config,
|  | auto & | ctx ) const

inline

## parse()

template<typename T, typename CharT>

static constexpr auto std::formatter< fourdst::config::Config< T >, CharT >::parse | ( | auto & | ctx | ) |

inlinestaticconstexpr

The documentation for this struct was generated from the following file:

- src/config/include/fourdst/config/base.h